<?php
require_once("_functions.php");
$ID = c($_GET['id']);
$Query = @mysql_query("SELECT p.*, c.name as cname FROM `categories` c, `products` p WHERE p.id = $ID AND c.id = p.c_id");
if(mysql_num_rows($Query)!=0)
{
	$Row = @mysql_fetch_assoc($Query);
	$Row = makeW3C($Row);
	
	$_TITLE = $Row['name'] . " | " . $Row['cname'];
	$_CSS .= doCSS('jquery.tools');
	$_JS .= doJS('jquery.tools');
	$_JS .= doJS('product');
	$_JS .= doJS('jquery.superbox-min');
	$_CSS .= doCSS('jquery.superbox');
	require_once("_header.php");
?>
<div id="content">
<div class="images">
<a class="prevPage browse left"></a> 
 
<div class="scrollable">     
     
    <div class="items"> 
<?php
	$CategoryQuery = @mysql_query("SELECT * FROM `products` WHERE `c_id` = {$Row['c_id']} ORDER BY `name`");
	while($CategoryRow = @mysql_fetch_assoc($CategoryQuery))
	{
		$CategoryRow = makeW3C($CategoryRow);
		echo '<img src="/i/products/' . $CategoryRow['id'] . '/thumb.jpg" alt="' . $CategoryRow['name'] . '" title="' . $CategoryRow['name'] . '" width="150" id="ii' . $CategoryRow['id'] . '" />';
	}
?>
    </div> 
     
</div> 

<script type= "text/javascript">
	

$("document").ready(function() {
	$(".chooser").click (function () {
		var big= $(this).attr('href');
		var thumb= $("img", $(this)).attr('src');
		$("#mainProductEnlarge").attr('href', big);
		$("#mainProductImage").attr('src', thumb);
		return false
	
	});
});


</script>

<!-- "next page" action --> 
<a class="nextPage browse right"></a>
</div>

<script type="text/javascript">
$(function() {
	PID = <?php echo $ID; ?>;
	CID = <?php $Pieces = explode(',', $Row['colours']); echo ($Pieces[0] != "" ? $Pieces[0] : "9"); ?>;
	//$("div.scrollable").scrollable({size: 3});
	
$("div.scrollable").scrollable({size: 3}).find("a").tooltip({tip: '#tooltip'});

$(".scrollable img").click(function(){
var it = this;
var aID = it.id.replace(/ii/,'');
window.location.href = "product.html?id=" + aID;
});

});
</script>

<div style="width:300px;text-align:center;float:left;">
<?php $Pieces = explode(',', $Row['colours']); ?>
<img src="/i/products/<?php echo $ID; ?>/thumb.jpg" alt="<?php echo $Row['name']; ?>" style="margin-left:10px;" id="mainProductImage" />
<br /><a href="/i/products/<?php echo $ID; ?>/<?php echo $Pieces[0]; ?>_b.jpg?_dc=<?php echo md5(microtime()); ?>" id="mainProductEnlarge" 
rel="superbox[gallery][my_gallery]">Enlarge 
Image</a>
</div>




<div style="float:right;width:350px;">
	<form action="add_to_basket.html" method="post">
		<h2 style="margin-left:130px;" class="darker"><?php echo $Row['name']; ?></h2>
		<h2 style="margin-left:130px;font-size:14px;" class="darker">Price: &pound;<?php echo number_format($Row['price'], 2); ?></h2>
		<label>Quantity:</label> <input type="text" name="quantity" value="1" /><br />
		<label>Colour:</label> <?php echo showColours($Row['colours']); ?><br />
		<label>Size:</label> <?php echo showSizes($Row['sizes']); ?><br />
		<input type="hidden" name="product_id" value="<?php echo $ID; ?>" />
		<input name="AddToBasket" type="image" value="Add to Basket" src="/i/other/add_to_basket.gif" style="width:auto;margin-left:130px;" class="clear" /><br />
		<a href="/information/fitting_and_care.html" style="margin-left:130px;margin-top:5px;">Fitting &amp; Care</a>
	</form>
</div>

<div style="clear:both;">
	
<?php

for($i=0;$i<4;$i++) {
	$is= $i>0 ? $i:"";
	$filename = "i/products/".$ID."/thumb".$is.".jpg";
	if ($i>0) {
		$alt="i/products/".$ID."/alt".$is.".jpg";
	} else {
		//sort out existing image
		$alt="i/products/".$ID."/".$Pieces[0]."_b.jpg";
	}
	
	if (file_exists($filename)) {
		 echo "<a href= '".$alt."' class='chooser'>
		 <img src='".$filename."?dc=".md5(microtime())."' style='width:40px; margin-right:24px;'>
		 </a>";

		if($i>0)  {
			echo "<a href='".$alt."?_dc=".md5(microtime())."' rel='superbox[gallery][my_gallery]'> </a>";
		}

	} else {
		//echo $filename. "does not exist";
	}
	
} 
?>
	
</div>

<h1><?php echo $Row['name']; ?></h1>
<p><?php echo nl2br($Row['description']); ?></p>
<p>Colour: <?php printColours($Row['colours'], 1, $ID); ?></p>

<div style="border-top:1px solid #EEE;">
<h2 class="darker" style="font-size:14px;margin-bottom:0px;">YOU MAY ALSO BE INTERESTED IN..</h2>
<?php
	$CategoryQuery = @mysql_query("SELECT * FROM `products` ORDER BY RAND() LIMIT 3");
	while($CategoryRow = @mysql_fetch_assoc($CategoryQuery))
	{
?>
<div class="cat">
	<a href="product.html?id=<?php echo $CategoryRow['id']; ?>"><img src="/i/products/<?php echo $CategoryRow['id']; ?>/thumb.jpg" width="186" alt="<?php echo $CategoryRow['name']; ?>" /></a>
	<h2><?php echo $CategoryRow['name']; ?></h2>
	<p><?php echo substr($CategoryRow['description'], 0, 100); ?>...</p>
	<a href="/product.html?id=<?php echo $CategoryRow['id']; ?>">More &raquo;</a>
</div>
<?php
	}
?>

</div>

</div>
<?php
}
else
{
	$_TITLE = "Product does not exist | Laura George";
	require_once("_header.php");
?>
<div id="content">
<h1>No Product</h1>
<p>Sorry, this product does not exist.</p>
</div>
<?php
}
?>
<?php require_once("_footer.php"); ?>
